Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.stream
Interface ISubscriberStream

All Superinterfaces:
  IClientStream, IStream

All Known Subinterfaces:
  IPlaylistSubscriberStream, ISingleItemSubscriberStream

All Known Implementing Classes:
  PlaylistSubscriberStream

    public interface ISubscriberStream

extends IClientStream

ISubscriberStream is a stream from subscriber's point of view. That is, it provides methods for common stream operations like play, pause or seek.

Field Summary

Fields inherited from interface org.red5.server.api.stream.IClientStream
`MODE_APPEND, MODE_LIVE, MODE_PUBLISH, MODE_READ, MODE_RECORD`

Method Summary
`boolean` | `isPaused()` Check if the stream is currently paused.
`void` | `pause(int position)` Pause at a position for current playing item.
`void` | `play()` Start playing.
`void` | `receiveAudio(boolean receive)` Should the stream send audio to the client?
`void` | `receiveVideo(boolean receive)` Should the stream send video to the client?
`void` | `resume(int position)` Resume from a position for current playing item.
`void` | `seek(int position)` Seek into a position for current playing item.
`void` | `stop()` Stop playing.

Methods inherited from interface org.red5.server.api.stream.IClientStream
`getClientBufferDuration, getConnection, getStreamId, setClientBufferDuration`

Methods inherited from interface org.red5.server.api.stream.IStream
`close, getCodecInfo, getCreationTime, getName, getScope, start`

Method Detail

### play

    void play()
              throws IOException

  Start playing.

  Throws:
    `IOException` - if an IO error occurred while starting to play the stream

### pause

    void pause(int position)

  Pause at a position for current playing item.

  Parameters:
    `position` - Position for pause in millisecond.

### resume

    void resume(int position)

  Resume from a position for current playing item.

  Parameters:
    `position` - Position for resume in millisecond.

### stop

    void stop()

  Stop playing.

  Specified by:
    `stop` in interface `IStream`

### seek

    void seek(int position)
              throws OperationNotSupportedException

  Seek into a position for current playing item.

  Parameters:
    `position` - Position for seek in millisecond.
  Throws:
    `OperationNotSupportedException` - if the stream doesn't support seeking.

### isPaused

    boolean isPaused()

  Check if the stream is currently paused.

  Returns:
    stream is paused

### receiveVideo

    void receiveVideo(boolean receive)

  Should the stream send video to the client?

  Parameters:
    `receive` -

### receiveAudio

    void receiveAudio(boolean receive)

  Should the stream send audio to the client?

  Parameters:
    `receive` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project